/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.storage.jooq.tables.VoipAntiSpamHistoryBlockNumbers;

import java.util.Date;

import org.jooq.Field;
import org.jooq.Record2;
import org.jooq.Row2;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VoipAntiSpamHistoryBlockNumbersRecord extends TableRecordImpl<VoipAntiSpamHistoryBlockNumbersRecord> implements Record2<String, Date> {

	private static final long serialVersionUID = 666797044;

	/**
	 * Setter for <code>public.voip_anti_spam_history_block_numbers.number</code>.
	 */
	public VoipAntiSpamHistoryBlockNumbersRecord setNumber(String value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.voip_anti_spam_history_block_numbers.number</code>.
	 */
	public String getNumber() {
		return (String) getValue(0);
	}

	/**
	 * Setter for <code>public.voip_anti_spam_history_block_numbers.time</code>.
	 */
	public VoipAntiSpamHistoryBlockNumbersRecord setTime(Date value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.voip_anti_spam_history_block_numbers.time</code>.
	 */
	public Date getTime() {
		return (Date) getValue(1);
	}

	// -------------------------------------------------------------------------
	// Record2 type implementation
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row2<String, Date> fieldsRow() {
		return (Row2) super.fieldsRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Row2<String, Date> valuesRow() {
		return (Row2) super.valuesRow();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<String> field1() {
		return VoipAntiSpamHistoryBlockNumbers.VOIP_ANTI_SPAM_HISTORY_BLOCK_NUMBERS.NUMBER;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Field<Date> field2() {
		return VoipAntiSpamHistoryBlockNumbers.VOIP_ANTI_SPAM_HISTORY_BLOCK_NUMBERS.TIME;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String value1() {
		return getNumber();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Date value2() {
		return getTime();
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public VoipAntiSpamHistoryBlockNumbersRecord value1(String value) {
		setNumber(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public VoipAntiSpamHistoryBlockNumbersRecord value2(Date value) {
		setTime(value);
		return this;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public VoipAntiSpamHistoryBlockNumbersRecord values(String value1, Date value2) {
		value1(value1);
		value2(value2);
		return this;
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached VoipAntiSpamHistoryBlockNumbersRecord
	 */
	public VoipAntiSpamHistoryBlockNumbersRecord() {
		super(VoipAntiSpamHistoryBlockNumbers.VOIP_ANTI_SPAM_HISTORY_BLOCK_NUMBERS);
	}

	/**
	 * Create a detached, initialised VoipAntiSpamHistoryBlockNumbersRecord
	 */
	public VoipAntiSpamHistoryBlockNumbersRecord(String number, Date time) {
		super(VoipAntiSpamHistoryBlockNumbers.VOIP_ANTI_SPAM_HISTORY_BLOCK_NUMBERS);

		setValue(0, number);
		setValue(1, time);
	}
}
